Subject: Re: ls when acl() is busy
From: Lasse <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 30 Jun 2005 20:18:32 +0200

Corinna Vinschen wrote:
[SNIP]
> When a file is exclusivly locked by another application, then the
> access to the ACL is entirely impossible.  So we don't know anything
> about the actual ACL.  Cygwin's stat() returns with the POSIX permission
> bits set to 000 in this case (which is still somewhat unfortunate, but
> at least reflects the current situation from the processes' perspective).
> 
> So in some way the '+' is as wrong as the ' ', because we just don't
> know.  I understand Eric's idea of adding a '?' indicator for this
> case, I just don't think it really helps the user.

How about ls simply displaying "----------+"? I think that's a
reasonably indication that "no, we can't determine the permissions" but
"yes, this file does have some permissions" (or it wouldn't be locked).

> Whatever the result of this discussion is, the most important part is,
> that the failing call to acl() shouldn't result in ls printing an error
> message in this case.

Agreed.

/Lasse

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/